Subject: Re: An I-D experiment (Re: HTML better for small PDAs)

From: Vernon Schryver <[email-masked]>
Date: Tue, 27 Feb 2001 08:39:40 -0700 (MST)

> From: Harald Alvestrand <[email-masked]>

> ...
> After 9 months, we can ask people to evaluate:
>
> - Whether they used "source" at all
> - What formats they found that were useful
> - What formats they found that caused trouble
> ...

No, do not *ASK* people what they used, but instead use the FTP logs
and try to filter mirrors.

That is because of the very steep slippery slope from allowing mark-up
language versions ftp.isi.edu:internet-drafts down to the familiar
morass exemplified by the .ps RFC's, and because many of the advocates
for non-ASCII RFC's honestly think they use RFC's, but have and will
never do more than look at title pages and author address lists.

 ......

] From: [email-masked]

]         I have people working for me who write I-Ds, and who HATE the ASCII
] format that they are forced to use.  So much so, that they have threatened
] never to write another I-D.  Do we want to deprive the IETF community of the
] input of experienced technical people ( and, yes, they ARE ! ), because they
] are put off by archaic document formats ?  

If they cannot speak for themselves but must have their handlers speak
for them in IETF mailing lists, then yes, that it would be best if they
and their employer find another way to Contribute To The Standards Process.
(never mind the image of a sweat shop grinding out the useless chaf
that dominates rfc-index.txt that the "I have people working for me"
preamble brings to mind).

]         So it is not just "people who neither write RFC's nor implement
] protocols" who find ASCII "incomplete".  

That some people HATE the ASCII format is not evidence about whether
ASCII is incomplete.
Those who have done it and understand their tools know that making
diagrams of packets is easier with ASCII than many other tools.  That
is because the standard IETF ASCII packet diagram format is well suited
to drawing tables of 16 or 32 columns with common groupings of 8 in
individual rows.  Those who are more familiar with Powerpoint and
similar or who don't know how to reach fix-pitch fonts and to switch
from insert to overstrike, do have problems diagraming packets in ASCII.
In other words, the ASCII format is "complete."

]         Perhaps we ( the IETF ) should have a library of standard,
] downloadable translation / formatting tools that would help people to write
] in whatever format they choose, then convert it to the required ASCII.

This thread (not to mention others over the years) has had pointers
to several such packages.

If you're collecting tools, then it would also be handy to get
one of the tools commonly used to generate the standard I-D headings.

] However, this would still not solve the problem os ASCII's poor diagram
] capability.

The IETF is about protocols.  About the only diagrams that you need
are state diagrams and packet layouts.  For those ASCII art is fine.
Those who've spent much time actually using standards from know that
while the diagrams outer venues (e.g. ANSI) are prettier but convey
little or no additional information.

Vernon Schryver    [email-masked]

---

From: Michael Richardson <[email-masked]>
Date: Tue, 27 Feb 2001 13:36:33 -0500

>>>>> "Vernon" == Vernon Schryver <[email-masked]> writes:
    Vernon> No, do not *ASK* people what they used, but instead use the FTP
    Vernon> logs and try to filter mirrors.

  You have to filter out everyone's personal mirror, and then you don't
know if I used the files or not...

    Vernon> familiar morass exemplified by the .ps RFC's, and because many of
    Vernon> the advocates for non-ASCII RFC's honestly think they use RFC's,
    Vernon> but have and will never do more than look at title pages and
    Vernon> author address lists.

  Who are these people?
  Headhunters? Managers? Product Marketing people?

   :!mcr!:            |  Solidum Systems Corporation, http://www.solidum.com
   Michael Richardson |For a better connected world,where data flows faster<tm>
 Personal: http://www.sandelman.ottawa.on.ca/People/Michael_Richardson/Bio.html
	mailto:[email-masked]	mailto:[email-masked]